probwindows <-
function() {
	nodeSec <- nodoselecionado()
	if ( nodeSec[1] == " ") {
		msg <- paste("None selected node. Select a tree node and try again.")
		tkmessageBox(message = msg, icon="warning", title = "ArvoRe - WARNING")
		tkfocus(tt)
	} else {
		probWindow <- tktoplevel()
		title <- "ArvoRe - Node Probability"
		tkwm.title(probWindow,title)
		node.number <- as.numeric(nodeSec[3])
		column <- as.numeric(nodeSec[2])
		position <- intersect(which((TheTree$Level == column)),which(TheTree$Node.N == node.number))
		
		# Entry for Payoff1
		OnFEProb <- function()
		{
			dialog.formulaeditor.window(TheTree, "Prob", Probvar)
		}
		
		Probvar <- tclVar(TheTree$Prob[position])

		entry.Value  <- tkentry(probWindow,width="20",textvariable=Probvar)
		.Width.but <- 5 ; .Height.but <- 1
		prob.but <- tkbutton(probWindow,text="...", width=.Width.but, height=.Height.but, command = OnFEProb )

		tkgrid(tklabel(probWindow,text="Probability"))
		tkgrid(entry.Value, prob.but)
		
		OnOK <- function()
		{
			# Antigo bloco que funciona apenas com numricos
# 			ProbVal <- as.numeric(tclvalue(Probvar))
# 			if ( (is.numeric(ProbVal)) && (!is.na(ProbVal)) && (ProbVal <= 1) && (ProbVal >= 0) ) {
# 				tkdestroy(probWindow)
# 				safedofunction(TheTree, .EnvironmentArvoRe, .modeltypeArvore)
# 				
# 				commandstringformat <- paste("setprob(TheTree,", nodeSec[2],",", nodeSec[3],",", ProbVal,", .EnvironmentArvoRe)", sep="")
# 				add.Syntax(commandstringformat)
# 				
# 				setprob(TheTree, nodeSec[2], nodeSec[3], ProbVal, .EnvironmentArvoRe)
# 				tkfocus(tt)
# 			} else {
# 				msg <- paste("Invalid probability value '",ProbVal, "'")
# 				tkmessageBox(message=msg)
# 				tkfocus(probWindow)
# 			}
			
			ProbVal <- as.character(tclvalue(Probvar))
			if ( (nchar(ProbVal) > 1) && (!is.na(ProbVal)) ) {
				tkdestroy(probWindow)
				safedofunction(TheTree, .EnvironmentArvoRe, .modeltypeArvore)
				
				commandstringformat <- paste("setprob(TheTree, column = ", nodeSec[2],", node.number = ", nodeSec[3],", pvalue = '", ProbVal,"', .EnvironmentArvoRe)", sep="")
				add.Syntax(commandstringformat)
				
				setprob(TheTree, nodeSec[2], nodeSec[3], ProbVal, .EnvironmentArvoRe)
				tkfocus(tt)
			} else {
				msg <- paste("Invalid probability value/expression '",ProbVal, "'")
				tkmessageBox(message=msg)
				tkfocus(probWindow)
			}
			
		}
		OK.but <-tkbutton(probWindow,text="    OK    ",command=OnOK)
		tkbind(entry.Value, "<Return>",OnOK)
		
		OnCancel <- function()
		{
			tkdestroy(probWindow)
			tkfocus(tt)
		}
		
		Cancel.but <-tkbutton(probWindow,text=" Cancel ",command=OnCancel)
		tkbind(probWindow, "<Escape>",OnCancel)

		tkgrid(OK.but, Cancel.but, sticky = "s", padx = 5, pady = 5)

		posiciona.janela.no.mouse(probWindow, 200, 100)
		tkfocus(probWindow)
	}
}
