setdistributionlist <-
function(distributionMAT, newdistributionline = " ", distribution.name = " ", action = "edit") {
	if (action == "delete") {
		distributions <- names(distributionMAT)
		ans <- subset(distributionMAT, Name != distribution.name, select = distributions)
		rm( distribution.name , envir = .EnvironmentArvoRe)
		rm( distribution.name )
		
	}
	if (action == "add") {
		require(abind)
		ans <- abind(distributionMAT, newdistributionline, along=1)
		print(ans)
	}
	if (action == "edit") {
		distributions <- names(distributionMAT)
		ans <- subset(distributionMAT, Name != distribution.name, select = distributions)
		
		require(abind)
		ans <- abind(ans, newdistributionline, along=1)
	}

	ans <- as.data.frame(ans)
	
	ans$Name <- as.character(ans$Name)
	ans$Distribution <- as.character(ans$Distribution)
	ans$Fix.Value <- as.numeric(as.character(ans$Fix.Value))
	ans$Parameters <- as.character(ans$Parameters)
	ans$Notes <- as.character(ans$Notes)

	rownames(ans) <- 1:dim(ans)[1]
	
	assign("distributionMAT", ans, envir = .EnvironmentArvoRe)
	assign(".workstatus", "unsaved", .EnvironmentArvoRe)
	
	# cria as variaveis declaradas pelo usurio
	distributions.name.array <- ans$Name
	distributions.value.array <- ans$Fix.Value
	vnal <- length(distributions.name.array) 
	
	for ( i in 1:vnal ) {
		assign(distributions.name.array[i], distributions.value.array[i], envir = .EnvironmentArvoRe)
	}
	
}
