show.summary.rollback.window <-
function(...) {
	# Convert expressions to numeric values
	TheTree$Prob <- sapply(TheTree$Prob,FUN = parse.variable.expression)
	TheTree$Payoff1 <- sapply(TheTree$Payoff1,FUN = parse.variable.expression)
	TheTree$Payoff2 <- sapply(TheTree$Payoff2,FUN = parse.variable.expression)

	TheTree$Prob <- sapply(TheTree$Prob,FUN = parse.distribution.mean.expression)
	TheTree$Payoff1 <- sapply(TheTree$Payoff1,FUN = parse.distribution.mean.expression)
	TheTree$Payoff2 <- sapply(TheTree$Payoff2,FUN = parse.distribution.mean.expression)

	TheTree$Prob <- as.numeric(sapply(TheTree$Prob,FUN = exec.text))
	TheTree$Payoff1 <- as.numeric(sapply(TheTree$Payoff1,FUN = exec.text))
	TheTree$Payoff2 <- as.numeric(sapply(TheTree$Payoff2,FUN = exec.text))
	
	print(TheTree$Prob)
	print(TheTree$Payoff1)
	print(TheTree$Payoff2)
	
	k <- summary.rollback.table(TheTree)
	
	names(k) <- c("Level", "Node N", "Node Name", 
					"Expected Cost", "Expected Effectiveness", "Expected C-E Ratio", 
					"Father Node", "Probability",
					"Cost", "Effectiveness", "Type")
					
	displayInTable(as.matrix(k), title="Expected Values (Roll-back)",
					height=10,width=8,nrow=dim(k)[1],ncol=dim(k)[2], 
					titlerows = FALSE, titlecols = TRUE)
}
