new.tree <-
function() {
	Payoffs <- matrix(0,1,2)
	
	colnames(Payoffs) <- paste("Payoff",1:length(Payoffs),sep="")
	
	TheTree <- data.frame( Level = 1, Node.N = 1, Node.name = "Decision",
							 Father = 0, Father.Name = "root",
							 Prob = 1, Type = "D", Note = " ", Destiny = " ",
							 Payoffs)
	
	TheTree$Level <- as.numeric(TheTree$Level)
	TheTree$Node.N <- as.numeric(TheTree$Node.N)
	TheTree$Node.name <- as.character(TheTree$Node.name)
	TheTree$Father <- as.numeric(TheTree$Father)
	TheTree$Father.Name <- as.character(TheTree$Father.Name)
	TheTree$Prob <- as.character(TheTree$Prob)
	TheTree$Type <- as.character(TheTree$Type)
	TheTree$Note <- as.character(TheTree$Note)
	TheTree$Destiny <- as.character(TheTree$Destiny)
	TheTree$Payoff1 <- as.character(TheTree$Payoff1)
	TheTree$Payoff2 <- as.character(TheTree$Payoff2)
	
	markov.propertiesMAT <- data.frame(	"Level" = array(,0),
										"Node.N" = array(,0),
										"Node.name" = array(,0),
										"Father" = array(,0),
										"Father.Name" = array(,0),
										"Initial.cost" = array(,0), 
										"Incremental.cost" = array(,0), 
										"Final.cost" = array(,0),
										"Initial.effectiveness" = array(,0), 
										"Incremental.effectiveness" = array(,0), 
										"Final.effectiveness" = array(,0))
	
	new.variable.list() # se no existe uma tabela de variaveis, ento ele cria.
# 	assign("variableMAT", ans, envir = .EnvironmentArvoRe)
										
	# Este vetor comporta todos comandos para formar a sintaxe
	syntax.file.array <- array(,0);
											
	assign("TheTree", TheTree, .EnvironmentArvoRe)
	assign("markov.propertiesMAT", markov.propertiesMAT, .EnvironmentArvoRe)
	assign("syntax.file.array", syntax.file.array, .EnvironmentArvoRe)
	
	# Set the initial syntax file
	commandstringformat <- paste('# -----------------------------------------------------------------------------')
	add.Syntax(commandstringformat)
	commandstringformat <- paste('# Script Name         : my_tree.R')
	add.Syntax(commandstringformat)
	commandstringformat <- paste('# Author              : Xxxx Xxxxxxxxxxx')
	add.Syntax(commandstringformat)
	commandstringformat <- paste('# Date last Modified  : Mmm Dd Yyyy')
	add.Syntax(commandstringformat)
	commandstringformat <- paste('# Purpose/Description : Some description for your script')
	add.Syntax(commandstringformat)
	commandstringformat <- paste('# Notes               : Some notes for your script')
	add.Syntax(commandstringformat)
	commandstringformat <- paste('# -----------------------------------------------------------------------------')
	add.Syntax(commandstringformat)

	commandstringformat <- paste("clearTreeTkArvore(TheTree) # Clear the current tree")
	add.Syntax(commandstringformat)
	commandstringformat <- paste("new.tree() # Create a empty tree")
	add.Syntax(commandstringformat)
	commandstringformat <- paste("theTreeTkArvore(TheTree)")
	add.Syntax(commandstringformat)
	commandstringformat <- paste("atualiza.grafico()")
	add.Syntax(commandstringformat)
	
}
